> For the complete documentation index, see [llms.txt](https://docs.fluxpoint.dev/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluxpoint.dev/api/endpoints/animal-images.md).

# Animal Images

## Cat Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/cat`

Get a random cat animal image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}

## Dog Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/dog`

Get a random dog animal image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}

## Duck Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/duck`

Get a random duck animal image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}

## Lizard Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/lizard`

Get a random lizard animal image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/animal-images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
